"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startServer = void 0;
const tslib_1 = require("tslib");
const http_1 = tslib_1.__importDefault(require("http"));
const consola_1 = tslib_1.__importDefault(require("consola"));
const serve_handler_1 = tslib_1.__importDefault(require("serve-handler"));
const startServer = (port, path) => {
    const server = http_1.default.createServer((request, response) => {
        // See all options here: https://github.com/vercel/serve-handler#options
        return (0, serve_handler_1.default)(request, response, {
            public: path,
            rewrites: [{ source: '/**', destination: '/index.html' }],
        });
    });
    server.listen(port, () => {
        consola_1.default.success(`Running at http://localhost:${port}`);
    });
};
exports.startServer = startServer;
